#pragma once

#include "CoreMinimal.h"
#include "ChargeableInteractionDefinition.h"
#include "AnimationMontageDescriptor.h"
#include "SelfUnhook.generated.h"

class UFloatValueStrategy;

UCLASS(Blueprintable, EditInlineNew, meta=(BlueprintSpawnableComponent))
class USelfUnhook : public UChargeableInteractionDefinition
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FAnimationMontageDescriptor _selfUnhookMontage;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString _guaranteedUnhookAttemptText;

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Instanced, meta=(AllowPrivateAccess=true))
	UFloatValueStrategy* _thresholdNumberOfSurvivors;

public:
	USelfUnhook();
};

FORCEINLINE uint32 GetTypeHash(const USelfUnhook) { return 0; }
